.action-field {
  position: relative;
  width: 100vw;
  height: 100vh;
}

.contenido{
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: grey;
  min-height: 20px;
  margin-top: 5px;
  /*border: solid black 5px;*/
}
.contenido:hover{
  border: dashed 4px black;
}

.content-box {
  position: absolute;
  box-sizing: border-box;
  color: white;
  background-color: #777;
  min-width: 80px;
  max-width: calc(100% - 80px);
  min-height: 29px;
  overflow-y: auto;
}

.panel-componenetes{
  width: 20%;
  height: 100%;
}

.panel-editor{
  width: 60%;
  height: 100%;
}

.panel-propiedades{
  width: 20%;
  height: 100%;
}

.action-field .content-box:first-child {
  height: 100%;
}

.action-field:nth-child(2) {
  max-height: calc(100% - 36px);
}

.header {
  width: 100%;
  height: 30px;
  background-color: #575956;
  text-align: center;
}

.resizer {
  position: absolute;
  background-color: #000;
  z-index: 1000;
}
.vertical {
  top: 0;
  right: 0;
  height: 100%;
  width: 5px;
}
.horizontal {
  right: 0;
  bottom: 0;
  height: 5px;
  width: 100%;
}
.vertical:hover {
  cursor: e-resize;
}
.horizontal:hover {
  cursor: n-resize;
}

.top {
  top: 0;
}

.bottom {
  bottom: 0;
}

.left {
  left: 0;
}

.right {
  right: 0;
}
.centrado{
  right: 20%;
}

.badge {
  border: solid blue 2px;
  margin: 5px;
}

.derecha {
  text-align: right;
}

.ancho-100{
  width: 100%;
}

.negro {
  color: black;
}

.margen-propiedad{
  margin-left: 20px;
}

.no-scroll{
  overflow-x: hidden;
}

.small-input {
  width: 100px;
}

.small-space {
  margin-top: 10px;
}
.big-space{
  margin-top: 50px;
  margin-bottom: 50px;
}

.input-number {
  text-align: right;
}

input:invalid {
  content: 'Error';
  color: red;
}

.back-white{
  background-color: white;
  padding: 20px;
}